package com.ruoyi.web.work.api;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.service.IBannerService;
import com.ruoyi.web.work.service.IContractService;
import com.ruoyi.web.work.service.INoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 通知公告
 *
 * @author 高伟森
 * @date 2024-04-18
 */
@RestController
@RequestMapping("/app/home")
public class Api_HomeController extends BaseController {
    @Autowired
    private INoticeService noticeService;

    @Autowired
    private IBannerService bannerService;

    @Autowired
    private IContractService contractService;

    @GetMapping("/index")
    public AjaxResult index() {
        AjaxResult result = new AjaxResult();
        result.put("bannerList", bannerService.homeList());
        result.put("noticeList", noticeService.queryList("小程序通知"));
        result.put("contract", contractService.selectContract());
        return AjaxResult.success(result);
    }
}
