package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
/**
 * @author lsw
 * @date 2024-04-15
 */
@Data
@TableName(value = "tb_banner")
@Accessors(chain = true)
public class Banner{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "封面图")
    private String pic;

    @ApiModelProperty(value = "跳转链接")
    private String contentId;

    @ApiModelProperty(value = "链接标题")
    private String contentTitle;

    @ApiModelProperty(value = "状态:0=正常,1=停用")
    private Integer state;

    @ApiModelProperty(value = "显示顺序")
    private Long orderNum;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
