package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;
/**
 * @author lsw
 * @date 2024-06-04
 */
@Data
@TableName(value = "tb_column")
@Accessors(chain = true)
public class Column{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @NotBlank(message = "所属模块不能为空")
    @ApiModelProperty(value = "所属模块")
    private String type;

    @ApiModelProperty(value = "父id")
    private Long parentId;

    @ApiModelProperty(value = "祖级列表")
    private String ancestors;

    @ApiModelProperty(value = "显示顺序")
    private Long orderNum;

    @ApiModelProperty(value = "拼音全拼")
    private String pinyin;

    @ApiModelProperty(value = "拼音首字母")
    private String pin;

    @ApiModelProperty(value = "状态:0=正常,1=停用")
    private Integer state;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
