package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
/**
 * @author lsw
 * @date 2024-06-05
 */
@Data
@TableName(value = "tb_enterprise")
@Accessors(chain = true)
public class Enterprise{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "关联账号")
    private Long userId;

    @ApiModelProperty(value = "公司名称")
    private String name;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "法定代表人")
    private String legalPerson;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "注册资本")
    private String capital;

    @ApiModelProperty(value = "成立日期")
    private String createDate;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "简介")
    private String contents;

    @ApiModelProperty(value = "营业执照")
    private String p1;

    @ApiModelProperty(value = "认证不通过原因")
    private String msg;

    @ApiModelProperty(value = "认证  0未认证 1已认证  2认证不通过")
    private Integer state;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "企业logo")
    private String logo;


}
