package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.Date;
/**
 * @author lsw
 * @date 2024-04-24
 */
@Data
@TableName(value = "tb_feedback")
@Accessors(chain = true)
public class Feedback{
    private static final long serialVersionUID = 1L;

    private Long id;

    @NotBlank(message = "反馈标题不能为空")
    @Size(max = 30, message = "反馈标题长度不能超过30个字符")
    @ApiModelProperty(value = "反馈标题")
    private String title;

    @NotBlank(message = "反馈类型不能为空")
    @ApiModelProperty(value = "反馈类型")
    private String type;

    @NotBlank(message = "反馈内容不能为空")
    @ApiModelProperty(value = "反馈内容")
    private String contents;

    @ApiModelProperty(value = "状态:0=待回复,1=已回复")
    private Integer state;

    @ApiModelProperty(value = "回复内容")
    private String msg;

    @ApiModelProperty(value = "关联企业")
    private Long companyId;

    @ApiModelProperty(value = "关联用户")
    private Long userId;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
