package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;
/**
 * @author lsw
 * @date 2024-04-15
 */
@Data
@TableName(value = "tb_platform")
@Accessors(chain = true)
public class Platform{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "服务公司")
    private String serviceCompany;

    @ApiModelProperty(value = "开户行")
    private String bankName;

    @ApiModelProperty(value = "银行卡账号")
    private String bankAccount;

    @ApiModelProperty(value = "通讯地址")
    private String address;

    @ApiModelProperty(value = "平台方负责人")
    private String director;

    @ApiModelProperty(value = "平台方负责人手机号")
    private String phone;

    @ApiModelProperty(value = "平台邮箱")
    private String email;

    @ApiModelProperty(value = "综合服务费率")
    private BigDecimal rate;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
