package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lsw
 * @date 2024-04-20
 */
@Data
@TableName(value = "tb_statement_detail")
@Accessors(chain = true)
public class StatementDetail {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "关联结算单")
    private Long statementId;

    @ApiModelProperty(value = "关联企业")
    private Long companyId;

    @ApiModelProperty(value = "关联项目")
    private Long projectId;

    @NotBlank(message = "姓名不能为空")
    @Excel(name = "姓名")
    private String name;

    @NotBlank(message = "身份证号不能为空")
    @Excel(name = "身份证号",width =35)
    private String idCard;

    @NotBlank(message = "手机号不能为空")
    @Excel(name = "手机号")
    private String phone;

    @ApiModelProperty(value = "流水号")
    private String num;

    @NotBlank(message = "支付宝不能为空")
    @Excel(name = "支付宝")
    private String alipay;

    @Excel(name = "开户行")
    private String bankName;

    @Excel(name = "银行卡号",width =30)
    private String bankAccount;

    @NotNull(message = "金额不能为空")
    @Excel(name = "金额（元）")
    private BigDecimal money;

    @ApiModelProperty(value = "实发金额")
    private BigDecimal realMoney;

    @ApiModelProperty(value = "综合服务费")
    private BigDecimal serviceMoney;

    @ApiModelProperty(value = "发放状态:0=待审核,1=已审核,2=驳回")
    private Integer state;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
