package com.ruoyi.web.work.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.web.work.domain.base.BaseData;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author lsw
 * @date 2024-04-15
 */
@Data
@Accessors(chain = true)
public class ProjectDto extends BaseData {

    @NotNull(message = "参数错误")
    private Long id;

    @NotBlank(message = "项目名称不能为空")
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目内容")
    private String contents;

    @NotNull(message = "项目周期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @NotNull(message = "项目周期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "结束时间")
    private Date finishDate;

    @NotNull(message = "项目周期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "结算日")
    private Date balanceDate;

}
