package com.ruoyi.web.work.domain.dto;

import com.ruoyi.common.core.validate.Regexp;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
@Accessors(chain = true)
public class UserDto {

    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp = Regexp.PHONE, message = "手机号不合法")
    private String phone;

    @NotBlank(message = "支付宝账户不能为空")
    private String alipay;

    @NotBlank(message = "开户行不能为空")
    private String bankName;

    @NotBlank(message = "银行卡号不能为空")
    private String bankAccount;
}
