package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.web.work.api.util.AppUtil;
import com.ruoyi.web.work.domain.Enterprise;
import com.ruoyi.web.work.mapper.EnterpriseMapper;
import com.ruoyi.web.work.service.IEnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lsw
 * @date 2024-06-05
 */
@Service
public class EnterpriseServiceImpl extends ServiceImpl<EnterpriseMapper, Enterprise> implements IEnterpriseService {
    @Autowired
    private EnterpriseMapper enterpriseMapper;

    @Override
    public List<Enterprise> selectList(Enterprise enterprise) {
        return enterpriseMapper.selectList(enterprise);
    }

    @Override
    public AjaxResult index() {
        Enterprise enterprise = getById(AppUtil.getUser().getId());
        if (enterprise == null) {
            enterprise.setId(AppUtil.getUser().getId());
            if (!save(enterprise)) {
                throw new ServiceException("创建企业信息失败");
            }
        }
        return AjaxResult.success(enterprise);
    }

    @Override
    public AjaxResult edit(Enterprise enterprise) {
        enterprise.setId(AppUtil.getUser().getId());
        if (updateById(enterprise)) {
            throw new ServiceException("编辑企业信息失败");
        }
        return AjaxResult.success();
    }
}
