package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.web.work.api.util.AppUtil;
import com.ruoyi.web.work.domain.Resume;
import com.ruoyi.web.work.mapper.ResumeMapper;
import com.ruoyi.web.work.service.IResumeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.validation.Validator;
import java.util.List;

/**
 * @author lsw
 * @date 2024-06-04
 */
@Service
public class ResumeServiceImpl extends ServiceImpl<ResumeMapper, Resume> implements IResumeService {
    @Autowired
    private ResumeMapper resumeMapper;

    @Autowired
    protected Validator validator;

    @Override
    public List<Resume> selectList(Resume resume) {
        return resumeMapper.selectList(resume);
    }

    @Override
    public AjaxResult index() {
        Resume resume = getById(AppUtil.getUser().getId());
        if (resume == null) {
            resume = new Resume();
            resume.setId(AppUtil.getUser().getId());
            if (!save(resume)) {
                throw new ServiceException("创建简历失败");
            }
        }
        return AjaxResult.success(resume);
    }

    @Override
    public AjaxResult edit(Resume resume) {
        resume.setId(AppUtil.getUser().getId());
        //计算年龄
        resume.setAge(Integer.parseInt(DateUtils.getYear()) - Integer.parseInt(resume.getBirthday().substring(0, 4)));
        //计算工作经验
        int year = Integer.parseInt(DateUtils.getYear()) - Integer.parseInt(resume.getJoinDate().substring(0, 4));
        resume.setExperience(year == 0 ? "1年以内" : year + "年经验");
        if (!updateById(resume)) {
            throw new ServiceException("编辑简历失败");
        }
        return AjaxResult.success();
    }
}
